Jenkins HashiCorp Vault Plugin 3.7.0 and earlier does not mask Vault credentials in Pipeline build logs or in Pipeline step descriptions when Pipeline: Groovy Plugin 2.85 or later is installed.
Published 2022-01-12 20:15:09
Updated 2023-11-15 03:39:50
View at NVD,   CVE.org

Exploit prediction scoring system (EPSS) score for CVE-2022-23109

0.07%
Probability of exploitation activity in the next 30 days EPSS Score History
~ 27 %
Percentile, the proportion of vulnerabilities that are scored at or less

CVSS scores for CVE-2022-23109

Base Score Base Severity CVSS Vector Exploitability Score Impact Score Score Source First Seen
4.0
MEDIUM AV:N/AC:L/Au:S/C:P/I:N/A:N
8.0
2.9
NIST
6.5
MEDIUM CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N
2.8
3.6
NIST

CWE ids for CVE-2022-23109

  • The product transmits or stores authentication credentials, but it uses an insecure method that is susceptible to unauthorized interception and/or retrieval.
    Assigned by: nvd@nist.gov (Primary)
  • The product exposes a resource to the wrong control sphere, providing unintended actors with inappropriate access to the resource.
    Assigned by: jenkinsci-cert@googlegroups.com (Secondary)

References for CVE-2022-23109

Products affected by CVE-2022-23109

This web site uses cookies for managing your session, storing preferences, website analytics and additional purposes described in our privacy policy.
By using this web site you are agreeing to CVEdetails.com terms of use!